Update an authorization group
curl --request PUT \
--url https://api.smokeball.com/groups/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"principalIds": [
"2595a645-94a2-46be-a60d-8410851a9671",
"2595a645-94a2-46be-a60d-8410851a9671"
]
}
'import requests
url = "https://api.smokeball.com/groups/{id}"
payload = { "principalIds": ["2595a645-94a2-46be-a60d-8410851a9671", "2595a645-94a2-46be-a60d-8410851a9671"] }
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
principalIds: ['2595a645-94a2-46be-a60d-8410851a9671', '2595a645-94a2-46be-a60d-8410851a9671']
})
};
fetch('https://api.smokeball.com/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorization
Update an authorization group
Updates a specified authorization group.
PUT
/
groups
/
{id}
Update an authorization group
Path Parameters
Body
application/json-patch+jsonapplication/jsonapplication/*+json
Principals that are members of the group. This can be either user ids or other group ids.
Example:
[
"2595a645-94a2-46be-a60d-8410851a9671",
"2595a645-94a2-46be-a60d-8410851a9671"
]
āI